wxMaximizeEvent(3)

NAME
wxMaximizeEvent - An event being sent when a top level window is maximized.

DESCRIPTION

Notice that it is not sent when the window is restored to its original size after it had been maximized, only a normal wxSizeEvent is generated in this case.

Currently this event is only generated in wxMSW, wxGTK and wxOSX/Cocoa ports so portable programs should only rely on receiving wxEVT_SIZE and not necessarily this event when the window is maximized.

See:

    • Overview events

    • wxTopLevelWindow:maximize/2

    • wxTopLevelWindow:isMaximized/1

This class is derived, and can use functions, from:

    • wxEvent

wxWidgets docs: wxMaximizeEvent

  Events

Use wxEvtHandler:connect/3 with wxMaximizeEventType to subscribe to events of this type.

DATA TYPES

wxMaximize() :: #wxMaximize{}.
wxMaximizeEvent() :: wx:wx_object().
wxMaximizeEventType() :: maximize.

FUNCTIONS